gtksourceviewmm: Gsv::StyleSchemeChooserWidget Class Reference

gtksourceviewmm 3.91.1

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gsv::StyleSchemeChooserWidget Class Reference

The GtkSourceStyleSchemeChooserWidget widget lets the user select a style scheme. More...

`#include <gtksourceviewmm/styleschemechooserwidget.h>`

Inheritance diagram for Gsv::StyleSchemeChooserWidget:
[legend]

## Public Member Functions
| StyleSchemeChooserWidget (StyleSchemeChooserWidget&& src) noexcept
StyleSchemeChooserWidget& | operator= (StyleSchemeChooserWidget&& src) noexcept
| StyleSchemeChooserWidget (const StyleSchemeChooserWidget&)=delete
StyleSchemeChooserWidget& | operator= (const StyleSchemeChooserWidget&)=delete
| ~StyleSchemeChooserWidget () noexcept override
GtkSourceStyleSchemeChooserWidget* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleSchemeChooserWidget* | gobj () const
| Provides access to the underlying C GObject.
| StyleSchemeChooserWidget ()
Public Member Functions inherited from Gtk::Bin
| Bin (Bin &&src) noexcept
Bin & | operator= (Bin &&src) noexcept
| Bin (const Bin &)=delete
Bin & | operator= (const Bin &)=delete
| ~Bin () noexcept override
GtkBin * | gobj ()
const GtkBin * | gobj () const
Gtk::Widget * | get_child ()
const Gtk::Widget * | get_child () const
void | remove ()
void | add_label (const Glib::ustring &label, bool mnemonic=false, double x_align=0.5, double y_align=0.5)
void | add_label (const Glib::ustring &label, bool mnemonic, Align x_align, Align y_align=ALIGN_CENTER)
void | add_pixlabel (const std::string &pixfile, const Glib::ustring &label, double x_align=0.5, double y_align=0.5)
void | add_pixlabel (const std::string &pixfile, const Glib::ustring &label, Align x_align, Align y_align=ALIGN_CENTER)
Gtk::Bin * | wrap (GtkBin *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Container
| Container (Container &&src) noexcept
Container & | operator= (Container &&src) noexcept
| Container (const Container &)=delete
Container & | operator= (const Container &)=delete
| ~Container () noexcept override
GtkContainer * | gobj ()
const GtkContainer * | gobj () const
void | set_border_width (guint border_width)
guint | get_border_width () const
virtual void | add (Widget &widget)
void | remove (Widget &widget)
void | set_resize_mode (ResizeMode resize_mode)
ResizeMode | get_resize_mode () const
void | check_resize ()
void | foreach (const ForeachSlot &slot)
void | forall (const ForeachSlot &slot)
std::vector< Widget * > | get_children ()
std::vector< const Widget * > | get_children () const
void | propagate_draw (Widget &child, const ::Cairo::RefPtr< ::Cairo::Context > &cr)
void | set_focus_chain (const std::vector< Widget * > &focusable_widgets)
bool | has_focus_chain () const
std::vector< Widget * > | get_focus_chain ()
std::vector< const Widget * > | get_focus_chain () const
void | unset_focus_chain ()
void | set_reallocate_redraws (bool needs_redraws=true)
void | set_focus_child (Widget &widget)
Widget * | get_focus_child ()
const Widget * | get_focus_child () const
void | set_focus_vadjustment (const Glib::RefPtr< Adjustment > &adjustment)
Glib::RefPtr< Adjustment > | get_focus_vadjustment ()
Glib::RefPtr< const Adjustment > | get_focus_vadjustment () const
void | set_focus_hadjustment (const Glib::RefPtr< Adjustment > &adjustment)
Glib::RefPtr< Adjustment > | get_focus_hadjustment ()
Glib::RefPtr< const Adjustment > | get_focus_hadjustment () const
void | resize_children ()
GType | child_type () const
WidgetPath | get_path_for_child (const Widget &child) const
Glib::SignalProxy< void, Widget * > | signal_add ()
Glib::SignalProxy< void, Widget * > | signal_remove ()
Glib::SignalProxy< void > | signal_check_resize ()
Glib::SignalProxy< void, Widget * > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Gtk::Container * | wrap (GtkContainer *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Widget
| Widget (Widget &&src) noexcept
Widget & | operator= (Widget &&src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
GtkWidget * | gobj ()
const GtkWidget * | gobj () const
void | show ()
void | show_now ()
void | hide ()
void | show_all ()
void | queue_draw ()
void | queue_draw_area (int x, int y, int width, int height)
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
void | queue_resize ()
void | queue_allocate ()
void | size_allocate (const Allocation &allocation)
void | size_allocate (const Allocation &allocation, int baseline)
SizeRequestMode | get_request_mode () const
void | get_preferred_width (int &minimum_width, int &natural_width) const
void | get_preferred_height_for_width (int width, int &minimum_height, int &natural_height) const
void | get_preferred_height_for_width (int width, int &minimum_height, int &natural_height, int &minimum_baseline, int &natural_baseline) const
void | get_preferred_height (int &minimum_height, int &natural_height) const
void | get_preferred_width_for_height (int height, int &minimum_width, int &natural_width) const
void | get_preferred_size (Requisition &minimum_size, Requisition &natural_size) const
void | add_accelerator (const Glib::ustring &accel_signal, const Glib::RefPtr< AccelGroup > &accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
bool | remove_accelerator (const Glib::RefPtr< AccelGroup > &accel_group, guint accel_key, Gdk::ModifierType accel_mods)
void | set_accel_path (const Glib::ustring &accel_path, const Glib::RefPtr< AccelGroup > &accel_group)
bool | mnemonic_activate (bool group_cycling)
bool | event (GdkEvent *gdk_event)
int | send_expose (GdkEvent *gdk_event)
bool | send_focus_change (GdkEvent *gdk_event)
bool | activate ()
void | reparent (Widget &new_parent)
bool | intersect (const Gdk::Rectangle &area) const
bool | intersect (const Gdk::Rectangle &area, Gdk::Rectangle &intersection) const
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region > &region) const
void | freeze_child_notify ()
void | child_notify (const Glib::ustring &child_property)
void | thaw_child_notify ()
void | set_can_focus (bool can_focus=true)
bool | get_can_focus () const
bool | has_focus () const
bool | is_focus () const
bool | has_visible_focus () const
void | grab_focus ()
void | set_focus_on_click (bool focus_on_click=true)
bool | get_focus_on_click () const
void | set_can_default (bool can_default=true)
bool | get_can_default () const
bool | has_default () const
void | grab_default ()
void | set_receives_default (bool receives_default=true)
bool | get_receives_default () const
bool | has_grab () const
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device > &device)
void | add_modal_grab ()
void | remove_modal_grab ()
void | set_name (const Glib::ustring &name)
void | unset_name ()
Glib::ustring | get_name () const
void | set_state (StateType state)
StateType | get_state () const
void | set_state_flags (StateFlags flags, bool clear=true)
void | unset_state_flags (StateFlags flags)
StateFlags | get_state_flags () const
void | set_sensitive (bool sensitive=true)
bool | get_sensitive () const
bool | is_sensitive () const
void | set_visible (bool visible=true)
bool | get_visible () const
bool | is_visible () const
bool | get_has_window () const
bool | get_is_toplevel () const
bool | get_is_drawable () const
bool | get_realized () const
bool | get_mapped () const
void | set_app_paintable (bool app_paintable=true)
bool | get_app_paintable () const
void | set_double_buffered (bool double_buffered=true)
bool | get_double_buffered () const
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
void | set_child_visible (bool visible=true)
bool | get_child_visible () const
Glib::RefPtr< Gdk::Window > | get_window ()
Glib::RefPtr< const Gdk::Window > | get_window () const
void | register_window (const Glib::RefPtr< Gdk::Window > &window)
void | unregister_window (const Glib::RefPtr< Gdk::Window > &window)
int | get_allocated_width () const
int | get_allocated_height () const
int | get_allocated_baseline () const
void | get_allocated_size (Allocation &allocation, int &baseline) const
Allocation | get_allocation () const
void | set_allocation (const Allocation &allocation)
void | set_clip (const Allocation &clip)
Allocation | get_clip () const
Container * | get_parent ()
const Container * | get_parent () const
Glib::RefPtr< Gdk::Window > | get_parent_window ()
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
void | set_parent_window (const Glib::RefPtr< const Gdk::Window > &parent_window)
bool | child_focus (DirectionType direction)
bool | keynav_failed (DirectionType direction)
void | error_bell ()
void | set_size_request (int width=-1, int height=-1)
void | get_size_request (int &width, int &height) const
void | set_events (Gdk::EventMask events)
void | add_events (Gdk::EventMask events)
void | set_device_events (const Glib::RefPtr< const Gdk::Device > &device, Gdk::EventMask events)
void | add_device_events (const Glib::RefPtr< const Gdk::Device > &device, Gdk::EventMask events)
void | set_opacity (double opacity)
double | get_opacity () const
void | set_device_enabled (const Glib::RefPtr< Gdk::Device > &device, bool enabled=true)
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device > &device) const
Container * | get_toplevel ()
const Container * | get_toplevel () const
Widget * | get_ancestor (GType widget_type)
const Widget * | get_ancestor (GType widget_type) const
Glib::RefPtr< Gdk::Visual > | get_visual ()
Glib::RefPtr< Gdk::Screen > | get_screen ()
Glib::RefPtr< const Gdk::Screen > | get_screen () const
bool | has_screen () const
int | get_scale_factor () const
Glib::RefPtr< Gdk::Display > | get_display ()
Glib::RefPtr< const Gdk::Display > | get_display () const
Glib::RefPtr< Gdk::Window > | get_root_window ()
Glib::RefPtr< const Gdk::Window > | get_root_window () const
Glib::RefPtr< Settings > | get_settings ()
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring &selection)
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring &selection) const
bool | get_hexpand () const
void | set_hexpand (bool expand=true)
bool | get_hexpand_set () const
void | set_hexpand_set (bool set=true)
bool | get_vexpand () const
void | set_vexpand (bool expand=true)
bool | get_vexpand_set () const
void | set_vexpand_set (bool set=true)
void | queue_compute_expand ()
bool | compute_expand (Orientation orientation)
bool | get_support_multidevice () const
void | set_support_multidevice (bool support_multidevice=true)
Glib::RefPtr< Atk::Object > | get_accessible ()
Glib::RefPtr< const Atk::Object > | get_accessible () const
Align | get_halign () const
void | set_halign (Align align)
Align | get_valign () const
Align | get_valign_with_baseline () const
void | set_valign (Align align)
int | get_margin_left () const
void | set_margin_left (int margin)
int | get_margin_right () const
void | set_margin_right (int margin)
int | get_margin_start () const
void | set_margin_start (int margin)
int | get_margin_end () const
void | set_margin_end (int margin)
int | get_margin_top () const
void | set_margin_top (int margin)
int | get_margin_bottom () const
void | set_margin_bottom (int margin)
Gdk::EventMask | get_events () const
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device > &device) const
void | get_pointer (int &x, int &y) const
bool | is_ancestor (Widget &ancestor) const
bool | translate_coordinates (Widget &dest_widget, int src_x, int src_y, int &dest_x, int &dest_y)
void | override_color (const Gdk::RGBA &color, StateFlags state=STATE_FLAG_NORMAL)
void | unset_color (StateFlags state=STATE_FLAG_NORMAL)
void | override_background_color (const Gdk::RGBA &color, StateFlags state=STATE_FLAG_NORMAL)
void | unset_background_color (StateFlags state=STATE_FLAG_NORMAL)
void | override_font (const Pango::FontDescription &font_desc)
void | unset_font ()
void | override_symbolic_color (const Glib::ustring &name, const Gdk::RGBA &color)
void | unset_symbolic_color (const Glib::ustring &name)
void | override_cursor (const Gdk::RGBA &cursor, const Gdk::RGBA &secondary_cursor)
void | unset_cursor ()
void | reset_style ()
void | get_style_property (const Glib::ustring &the_property_name, PropertyType &value) const
Glib::RefPtr< Pango::Context > | create_pango_context ()
Glib::RefPtr< Pango::Context > | get_pango_context ()
void | set_font_options (const ::Cairo::FontOptions &options)
void | unset_font_options ()
::Cairo::FontOptions | get_font_options () const
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring &text)
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID &stock_id, IconSize size)
void | set_composite_name (const Glib::ustring &name)
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
void | set_direction (TextDirection dir)
TextDirection | get_direction () const
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
WidgetPath | get_path () const
std::vector< Widget * > | list_mnemonic_labels ()
std::vector< const Widget * > | list_mnemonic_labels () const
void | add_mnemonic_label (Widget &label)
void | remove_mnemonic_label (Widget &label)
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext > &context, const Glib::ustring &target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry > &targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window > &proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
void | drag_dest_unset ()
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > &context, const Glib::RefPtr< TargetList > &target_list) const
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > &context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList > &target_list)
void | drag_dest_add_text_targets ()
void | drag_dest_add_image_targets ()
void | drag_dest_add_uri_targets ()
void | drag_source_set (const std::vector< TargetEntry > &targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf > &pixbuf)
void | drag_source_set_icon (const StockID &stock_id)
void | drag_source_set_icon (const Glib::ustring &icon_name)
void | drag_source_add_text_targets ()
void | drag_source_add_uri_targets ()
void | drag_source_add_image_targets ()
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > &targets, Gdk::DragAction actions, int button, GdkEvent *gdk_event)
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > &targets, Gdk::DragAction actions, int button, GdkEvent *gdk_event, int x, int y)
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext > &context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
bool | get_no_show_all () const
void | set_no_show_all (bool no_show_all=true)
void | set_parent (Widget &parent)
void | unparent ()
void | map ()
void | unmap ()
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context > &cr, const Gdk::Rectangle &location, bool is_primary, TextDirection direction, bool draw_arrow=true)
void | set_tooltip_window (Window &custom_window)
Window * | get_tooltip_window ()
void | trigger_tooltip_query ()
void | set_tooltip_text (const Glib::ustring &text)
Glib::ustring | get_tooltip_text () const
void | set_tooltip_markup (const Glib::ustring &markup)
Glib::ustring | get_tooltip_markup () const
void | set_has_tooltip (bool has_tooltip=TRUE)
bool | get_has_tooltip () const
int | get_width () const
int | get_height () const
bool | is_composited () const
bool | in_destruction () const
Glib::RefPtr< StyleContext > | get_style_context ()
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
guint | add_tick_callback (const SlotTick &slot)
void | remove_tick_callback (guint id)
void | insert_action_group (const Glib::ustring &name, const Glib::RefPtr< Gio::ActionGroup > &group)
void | remove_action_group (const Glib::ustring &name)
Glib::RefPtr< Gio::ActionGroup > | get_action_group (const Glib::ustring &prefix)
Glib::RefPtr< const Gio::ActionGroup > | get_action_group (const Glib::ustring &prefix) const
std::vector< Glib::ustring > | list_action_prefixes () const
void | set_font_map (const Glib::RefPtr< Pango::FontMap > &font_map)
Glib::RefPtr< Pango::FontMap > | get_font_map ()
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
Glib::SignalProxy< void > | signal_show ()
Glib::SignalProxy< void > | signal_hide ()
Glib::SignalProxy< void > | signal_map ()
Glib::SignalProxy< void > | signal_unmap ()
Glib::SignalProxy< void > | signal_realize ()
Glib::SignalProxy< void > | signal_unrealize ()
Glib::SignalProxy< void, Allocation & > | signal_size_allocate ()
Glib::SignalProxy< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy< void, Widget * > | signal_parent_changed ()
Glib::SignalProxy< void, Widget * > | signal_hierarchy_changed ()
Glib::SignalProxy< void > | signal_style_updated ()
Glib::SignalProxy< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy< void, bool > | signal_grab_notify ()
Glib::SignalProxy< void, GParamSpec * > | signal_child_notify ()
Glib::SignalProxyDetailedAnyType< void, GParamSpec * > | signal_child_notify (const Glib::ustring &child_property_name)
Glib::SignalProxy< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy< void > | signal_grab_focus ()
Glib::SignalProxy< bool, DirectionType > | signal_focus ()
Glib::SignalProxy< bool, GdkEvent * > | signal_event ()
Glib::SignalProxy< void, GdkEvent * > | signal_event_after ()
Glib::SignalProxy< bool, GdkEventButton * > | signal_button_press_event ()
Glib::SignalProxy< bool, GdkEventButton * > | signal_button_release_event ()
Glib::SignalProxy< bool, GdkEventScroll * > | signal_scroll_event ()
Glib::SignalProxy< bool, GdkEventMotion * > | signal_motion_notify_event ()
Glib::SignalProxy< bool, GdkEventAny * > | signal_delete_event ()
Glib::SignalProxy< bool, const ::Cairo::RefPtr< ::Cairo::Context > & > | signal_draw ()
Glib::SignalProxy< bool, GdkEventKey * > | signal_key_press_event ()
Glib::SignalProxy< bool, GdkEventKey * > | signal_key_release_event ()
Glib::SignalProxy< bool, GdkEventCrossing * > | signal_enter_notify_event ()
Glib::SignalProxy< bool, GdkEventCrossing * > | signal_leave_notify_event ()
Glib::SignalProxy< bool, GdkEventConfigure * > | signal_configure_event ()
Glib::SignalProxy< bool, GdkEventFocus * > | signal_focus_in_event ()
Glib::SignalProxy< bool, GdkEventFocus * > | signal_focus_out_event ()
Glib::SignalProxy< bool, GdkEventAny * > | signal_map_event ()
Glib::SignalProxy< bool, GdkEventAny * > | signal_unmap_event ()
Glib::SignalProxy< bool, GdkEventProperty * > | signal_property_notify_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_clear_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_request_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_notify_event ()
Glib::SignalProxy< bool, GdkEventProximity * > | signal_proximity_in_event ()
Glib::SignalProxy< bool, GdkEventProximity * > | signal_proximity_out_event ()
Glib::SignalProxy< bool, GdkEventVisibility * > | signal_visibility_notify_event ()
Glib::SignalProxy< bool, GdkEventWindowState * > | signal_window_state_event ()
Glib::SignalProxy< void, SelectionData &, guint, guint > | signal_selection_get ()
Glib::SignalProxy< void, const SelectionData &, guint > | signal_selection_received ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_begin ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_end ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, SelectionData &, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_data_delete ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, guint > | signal_drag_leave ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::Screen > & > | signal_screen_changed ()
Glib::SignalProxy< void > | signal_composited_changed ()
Glib::SignalProxy< bool > | signal_popup_menu ()
Glib::SignalProxy< bool, int, int, bool, const Glib::RefPtr< Tooltip > & > | signal_query_tooltip ()
Glib::SignalProxy< bool, GdkEventGrabBroken * > | signal_grab_broken_event ()
Glib::SignalProxy< bool, GdkEventExpose * > | signal_damage_event ()
Glib::SignalProxy< bool, GdkEventTouch * > | signal_touch_event ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
Glib::PropertyProxy< Container * > | property_parent ()
Glib::PropertyProxy_ReadOnly< Container * > | property_parent () const
Glib::PropertyProxy< int > | property_width_request ()
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
Glib::PropertyProxy< int > | property_height_request ()
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
Glib::PropertyProxy< bool > | property_visible ()
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
Glib::PropertyProxy< bool > | property_sensitive ()
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
Glib::PropertyProxy< bool > | property_app_paintable ()
Glib::PropertyProxy_ReadOnly< bool > | property_app_paintable () const
Glib::PropertyProxy< bool > | property_can_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
Glib::PropertyProxy< bool > | property_has_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
Glib::PropertyProxy< bool > | property_is_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_is_focus () const
Glib::PropertyProxy< bool > | property_focus_on_click ()
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
Glib::PropertyProxy< bool > | property_can_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_can_default () const
Glib::PropertyProxy< bool > | property_has_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
Glib::PropertyProxy< bool > | property_receives_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
Glib::PropertyProxy_ReadOnly< bool > | property_composite_child () const
Glib::PropertyProxy< Glib::RefPtr< Style > > | property_style ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Style > > | property_style () const
Glib::PropertyProxy< Gdk::EventMask > | property_events ()
Glib::PropertyProxy_ReadOnly< Gdk::EventMask > | property_events () const
Glib::PropertyProxy< bool > | property_has_tooltip ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Window > > | property_window () const
Glib::PropertyProxy< bool > | property_no_show_all ()
Glib::PropertyProxy_ReadOnly< bool > | property_no_show_all () const
Glib::PropertyProxy< bool > | property_double_buffered ()
Glib::PropertyProxy_ReadOnly< bool > | property_double_buffered () const
Glib::PropertyProxy< Align > | property_halign ()
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
Glib::PropertyProxy< Align > | property_valign ()
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
Glib::PropertyProxy< int > | property_margin_left ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
Glib::PropertyProxy< int > | property_margin_right ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
Glib::PropertyProxy< int > | property_margin_start ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
Glib::PropertyProxy< int > | property_margin_end ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
Glib::PropertyProxy< int > | property_margin_top ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
Glib::PropertyProxy< int > | property_margin_bottom ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
Glib::PropertyProxy< int > | property_margin ()
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
Glib::PropertyProxy< bool > | property_hexpand ()
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
Glib::PropertyProxy< bool > | property_hexpand_set ()
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
Glib::PropertyProxy< bool > | property_vexpand ()
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
Glib::PropertyProxy< bool > | property_vexpand_set ()
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
Glib::PropertyProxy< bool > | property_expand ()
Glib::PropertyProxy_ReadOnly< bool > | property_expand () const
Glib::PropertyProxy< double > | property_opacity ()
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
Gtk::Widget * | wrap (GtkWidget *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Object
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
| ~Object () noexcept override
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable &&src) noexcept
Buildable & | operator= (Buildable &&src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
const GtkBuildable * | gobj () const
void | set_name (const Glib::ustring &name)
Glib::ustring | get_name () const
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable *object, bool take_copy=false)

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Bin
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Container
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
static Widget * | get_current_modal_grab ()
static void | push_composite_child ()
static void | pop_composite_child ()
static void | set_default_direction (TextDirection dir)
static TextDirection | get_default_direction ()
static Widget * | drag_get_source_widget (const Glib::RefPtr< Gdk::DragContext > &context)
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()

## Related Symbols
(Note that these are not member symbols.)
Gsv::StyleSchemeChooserWidget* | wrap (GtkSourceStyleSchemeChooserWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Container
typedef sigc::slot< void, Widget & > | ForeachSlot
Public Types inherited from Gtk::Widget
typedef sigc::slot< bool(const Glib::RefPtr< Gdk::FrameClock > &)> | SlotTick
Protected Member Functions inherited from Gtk::Bin
| Bin ()
Protected Member Functions inherited from Gtk::Container
virtual void | on_add (Widget *widget)
virtual void | on_remove (Widget *widget)
virtual void | on_check_resize ()
virtual void | on_set_focus_child (Widget *widget)
| Container ()
virtual GType | child_type_vfunc () const
virtual void | forall_vfunc (gboolean include_internals, GtkCallback callback, gpointer callback_data)
virtual char * | composite_name_vfunc (GtkWidget *child)
virtual void | set_child_property_vfunc (GtkWidget *child, guint property_id, const GValue *value, GParamSpec *pspec)
virtual void | get_child_property_vfunc (GtkWidget *child, guint property_id, GValue *value, GParamSpec *pspec) const
Glib::PropertyProxy< guint > | property_border_width ()
Glib::PropertyProxy_ReadOnly< guint > | property_border_width () const
Glib::PropertyProxy< ResizeMode > | property_resize_mode ()
Glib::PropertyProxy_ReadOnly< ResizeMode > | property_resize_mode () const
Glib::PropertyProxy_WriteOnly< Widget * > | property_child ()
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
virtual void | on_hide ()
virtual void | on_map ()
virtual void | on_unmap ()
virtual void | on_realize ()
virtual void | on_unrealize ()
virtual void | on_size_allocate (Allocation &allocation)
virtual void | on_state_changed (Gtk::StateType previous_state)
virtual void | on_parent_changed (Widget *previous_parent)
virtual void | on_hierarchy_changed (Widget *previous_toplevel)
virtual void | on_style_updated ()
virtual void | on_direction_changed (TextDirection direction)
virtual void | on_grab_notify (bool was_grabbed)
virtual void | on_child_notify (GParamSpec *pspec)
virtual bool | on_mnemonic_activate (bool group_cycling)
virtual void | on_grab_focus ()
virtual bool | on_focus (DirectionType direction)
virtual bool | on_event (GdkEvent *gdk_event)
virtual bool | on_button_press_event (GdkEventButton *button_event)
virtual bool | on_button_release_event (GdkEventButton *release_event)
virtual bool | on_scroll_event (GdkEventScroll *scroll_event)
virtual bool | on_motion_notify_event (GdkEventMotion *motion_event)
virtual bool | on_delete_event (GdkEventAny *any_event)
virtual bool | on_draw (const ::Cairo::RefPtr< ::Cairo::Context > &cr)
virtual bool | on_key_press_event (GdkEventKey *key_event)
virtual bool | on_key_release_event (GdkEventKey *key_event)
virtual bool | on_enter_notify_event (GdkEventCrossing *crossing_event)
virtual bool | on_leave_notify_event (GdkEventCrossing *crossing_event)
virtual bool | on_configure_event (GdkEventConfigure *configure_event)
virtual bool | on_focus_in_event (GdkEventFocus *focus_event)
virtual bool | on_focus_out_event (GdkEventFocus *gdk_event)
virtual bool | on_map_event (GdkEventAny *any_event)
virtual bool | on_unmap_event (GdkEventAny *any_event)
virtual bool | on_property_notify_event (GdkEventProperty *property_event)
virtual bool | on_selection_clear_event (GdkEventSelection *selection_event)
virtual bool | on_selection_request_event (GdkEventSelection *selection_event)
virtual bool | on_selection_notify_event (GdkEventSelection *selection_event)
virtual bool | on_proximity_in_event (GdkEventProximity *proximity_event)
virtual bool | on_proximity_out_event (GdkEventProximity *proximity_event)
virtual bool | on_visibility_notify_event (GdkEventVisibility *visibility_event)
virtual bool | on_window_state_event (GdkEventWindowState *window_state_event)
virtual void | on_selection_get (SelectionData &selection_data, guint info, guint time)
virtual void | on_selection_received (const SelectionData &selection_data, guint time)
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext > &context, SelectionData &selection_data, guint info, guint time)
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext > &context, guint time)
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, guint time)
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, guint time)
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, const SelectionData &selection_data, guint info, guint time)
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen > &previous_screen)
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec **p2)
virtual void | show_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (int &minimum_width, int &natural_width) const
virtual void | get_preferred_height_for_width_vfunc (int width, int &minimum_height, int &natural_height) const
virtual void | get_preferred_height_vfunc (int &minimum_height, int &natural_height) const
virtual void | get_preferred_width_for_height_vfunc (int height, int &minimum_width, int &natural_width) const
| Widget ()
void | realize ()
void | unrealize ()
void | draw (const ::Cairo::RefPtr< ::Cairo::Context > &cr)
void | set_mapped (bool mapped=true)
void | set_realized (bool realized=true)
void | set_has_window (bool has_window=true)
void | set_window (const Glib::RefPtr< Gdk::Window > &window)
void | transform_cairo_context_to_window (const ::Cairo::RefPtr< ::Cairo::Context > &cr, const Glib::RefPtr< const Gdk::Window > &window)
Requisition | get_requisition () const
void | get_style_property_value (const Glib::ustring &the_property_name, Glib::ValueBase &value) const
void | realize_if_needed ()
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
Static Protected Member Functions inherited from Gtk::Widget
static bool | should_draw_window (const ::Cairo::RefPtr< const ::Cairo::Context > &cr, const Glib::RefPtr< const Gdk::Window > &window)

## Detailed Description

The GtkSourceStyleSchemeChooserWidget widget lets the user select a style scheme.

By default, the chooser presents a predefined list of style schemes.

To change the initially selected style scheme, use gtk_source_style_scheme_chooser_set_style_scheme(). To get the selected style scheme use gtk_source_style_scheme_chooser_get_style_scheme().

Since gtksourceviewmm 3.16

## Constructor & Destructor Documentation

## ◆ StyleSchemeChooserWidget() [1/3]

Gsv::StyleSchemeChooserWidget::StyleSchemeChooserWidget | ( | StyleSchemeChooserWidget&& | src | ) |
| noexcept

## ◆ StyleSchemeChooserWidget() [2/3]

Gsv::StyleSchemeChooserWidget::StyleSchemeChooserWidget | ( | const StyleSchemeChooserWidget& |  | ) |
| delete

## ◆ ~StyleSchemeChooserWidget()

Gsv::StyleSchemeChooserWidget::~StyleSchemeChooserWidget | ( |  | ) |
| overridenoexcept

## ◆ StyleSchemeChooserWidget() [3/3]

Gsv::StyleSchemeChooserWidget::StyleSchemeChooserWidget | ( |  | ) |

## Member Function Documentation

## ◆ get_type()

static GType Gsv::StyleSchemeChooserWidget::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceStyleSchemeChooserWidget * Gsv::StyleSchemeChooserWidget::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceStyleSchemeChooserWidget * Gsv::StyleSchemeChooserWidget::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

StyleSchemeChooserWidget& Gsv::StyleSchemeChooserWidget::operator= | ( | const StyleSchemeChooserWidget& |  | ) |
| delete

## ◆ operator=() [2/2]

StyleSchemeChooserWidget& Gsv::StyleSchemeChooserWidget::operator= | ( | StyleSchemeChooserWidget&& | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Gsv::StyleSchemeChooserWidget* wrap | ( | GtkSourceStyleSchemeChooserWidget * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.